Name:           perl-Devel-NYTProf
Version:        3.02
Release:        1%{?dist}
Summary:        Powerful feature-rich perl source code profiler
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-NYTProf/
Source0:        http://www.cpan.org/authors/id/T/TI/TIMB/Devel-NYTProf-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
# not automatically detected
Requires:       perl(JSON::Any)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Devel::NYTProf is a powerful feature-rich perl source code profiler.

%prep
%setup -q -n Devel-NYTProf-%{version}

# fix perftest.pl shebang
sed -i -e 's~#!perl~#!/usr/bin/perl~' perftest.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# remove perftest.pl and benchmark.pl - installed as docs
find $RPM_BUILD_ROOT -type f -name 'benchmark.pl' -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name 'perftest.pl' -exec rm -f {} \;

# remove duplicate installed lib in wrong location
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}/Devel/auto/

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes HACKING README *.pl demo
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Mar 07 2010 Iain Arnell <iarnell@gmail.com> 3.02-1
- update to latest upstream version
- requires perl(JSON::Any)

* Mon Jan 04 2010 Iain Arnell <iarnell@gmail.com> 3.01-1
- update to latest upstream version
- use perl_default_filter

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.10-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Iain Arnell <iarnell@gmail.com> 2.10-1
- update to latest upstream version

* Fri Apr 10 2009 Iain Arnell <iarnell@gmail.com> 2.09-1
- update to latest upstream

* Tue Mar 17 2009 Iain Arnell 2.08-1
- Specfile autogenerated by cpanspec 1.77.
- strip private perl libs from provides
- add scripts and man pages to files
